#include<iostream>
#include<math.h>

using namespace std;

int main() 
{
	int M, N, niz[100000], pomocni[100000];
	long long int zbir = 0;
	
	cin >> M >> N;
	
	for (int i = 0; i < M; i++) 
	{
		cin >> niz[i];
		pomocni[i] = 0;
	}
	
	for (int i = 0; i < N; i++) 
	{
		int a, b;
		cin >> a >> b;
		a -= 1;
		b -= 1;
		
		if (niz[a] * niz[b] >= 0) 
		{
			if (niz[a] < 0) 
			{
				pomocni[a] -= 1;
				pomocni[b] -= 1;
			}
			else 
			{
				pomocni[a] += 1;
				pomocni[b] += 1;
			}
		}
		else 
		{
			if (abs(niz[a]) > abs(niz[b]))
			{
				if (niz[a] < 0) 
				{
					pomocni[a] -= 1;
					pomocni[b] -= 1;
				}
				else 
				{
					pomocni[a] += 1;
					pomocni[b] += 1;
				}
			}
			else 
			{
				if (niz[b] < 0) 
				{
					pomocni[a] -= 1;
					pomocni[b] -= 1;
				}
				else 
				{
					pomocni[a] += 1;
					pomocni[b] += 1;
				}
			}
		}
	}
	
	for (int i = 0; i < M; i++)
	{
		zbir += niz[i] * pomocni[i];
	}
	
	cout << zbir;
	
	return 0;
}